#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "httpget.h"

class QAction;
class QLabel;
class QPrinter;
class MapView;
class MapScene;
class Model;

class MainWindow : public QMainWindow
{
    Q_OBJECT
private:
    Model *model;
    MapScene *scene;
    MapView *view;
    QLabel *lModelStatus;
    QLabel *lPos;
    HttpGet *getter;
    QAction *printAction;
    QAction *tileSizeAction;
    QAction *posAction;
    QAction *zoomInAction;
    QAction *zoomOutAction;
    QAction *redrawAction;
    QAction *turistMapAction;
    QAction *armyMapAction;
    QAction *ophotoMapAction;
    QAction *turistOvlAction;
    QAction *hybridOvlAction;
    QAction *reliefOvlAction;
    QAction *addNorthAction;
    QAction *addEastAction;
    QAction *addSouthAction;
    QAction *addWestAction;
    QAction *delNorthAction;
    QAction *delEastAction;
    QAction *delSouthAction;
    QAction *delWestAction;
    QAction *moveNorthAction;
    QAction *moveEastAction;
    QAction *moveSouthAction;
    QAction *moveWestAction;
    QPrinter *printer;

    void createActions();
    void createMenuBar();
    void createToolBar();
    void createStatusBar();

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void setTileSize();
    void print();
    void setTuristMap();
    void setArmyMap();
    void setOphotoMap();
    void addNorth();
    void addEast();
    void addSouth();
    void addWest();
    void delNorth();
    void delEast();
    void delSouth();
    void delWest();
    void moveNorth();
    void moveEast();
    void moveSouth();
    void moveWest();
    void showImage(HttpGet *getter);
    void changeOverlays();
    void updateModelStatus();
    void updateMouseTile(int ix, int iy);
};

#endif // MAINWINDOW_H
