#ifndef MAPVIEW_H
#define MAPVIEW_H

#include <QGraphicsView>

class ViewFunction;

class MapView : public QGraphicsView
{
    Q_OBJECT
private:
    ViewFunction *function;
    int mouseX0;
    int mouseY0;

public:
    MapView(QGraphicsScene *scene);
    void zoomIn(int ix, int iy);
    void zoomOut(int ix, int iy);

protected:
    void mouseMoveEvent(QMouseEvent *event);
    void mousePressEvent(QMouseEvent *event);
    void wheelEvent(QWheelEvent *event);
signals:
    void mouseTile(int x, int y);
public slots:
    void setShowFunction();
    void setZoomInFunction();
    void setZoomOutFunction();
};

#endif // MAPVIEW_H
