#ifndef MODEL_H
#define MODEL_H

#include <QObject>
#include <QList>
#include <QString>
#define URL_MAPY_CZ "http://mapserver.mapy.cz"

class Overlay
{
private:
    QString myKey;
    int myZ;
public:
    Overlay(const QString& key, int z);
    const QString& key() { return myKey; }
    int z() { return myZ; }
};

class Model : public QObject
{
    Q_OBJECT
private:
    int myX;
    int myY;
    int myZoom;
    int myWidth;
    int myHeight;
    QString myType;
    QList<Overlay> myOverlays;
    int myTileSize;
public:
    Model();
    int x() const { return myX; }
    void setX(int x) { myX = x; }
    int y() const { return myY; }
    void setY(int y) { myY = y; }
    int width() const { return myWidth; }
    int height() const { return myHeight; }
    int zoom() const { return myZoom; }
    void setZoom(int zoom) { myZoom = zoom; }
    const QString& type() { return myType; }
    void setType(const QString& type) { myType = type; emit mapChanged(); }
    int offset();
    void zoomIn(int ix, int iy);
    void zoomOut(int ix, int iy);
    void changeSize(int nord, int east, int south, int west);
    void changeOverlays(const QList<Overlay>& overlays);
    QList<Overlay>* overlays() { return &myOverlays; }
    int tileSize() { return myTileSize; }
    void setTileSize(int size) { myTileSize = size; }
 signals:
    void mapChanged();
};

#endif // MODEL_H
