#include <QtGui>
#include "tilesizedlg.h"

TileSizeDlg::TileSizeDlg(QWidget *parent) :
        QDialog(parent)
{
    QVBoxLayout *mainLayout = new QVBoxLayout();
    QGridLayout *inpLayout = new QGridLayout();
    QLabel *lTileSize = new QLabel(tr("Tile size (mm):"));
    inpLayout->addWidget(lTileSize, 0, 0);
    bTileSize = new QSpinBox();
    bTileSize->setMinimum(20);
    bTileSize->setMaximum(100);
    bTileSize->setSingleStep(5);
    inpLayout->addWidget(bTileSize, 0, 1);
    mainLayout->addLayout(inpLayout);
    QDialogButtonBox *buttonBox = new QDialogButtonBox(QDialogButtonBox::Ok|QDialogButtonBox::Cancel);
    mainLayout->addWidget(buttonBox);
    setLayout(mainLayout);
    connect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));
    connect(buttonBox, SIGNAL(rejected()), this, SLOT(reject()));
}

void TileSizeDlg::setTileSize(int size) {
    bTileSize->setValue(size);
}

int TileSizeDlg::tileSize() {
    return bTileSize->value();
}
